Actualizar a WordPress 5.0, ¿una buena idea?

Dudas: actualizar a WordPress 5.0

Seguramente estos últimos días habrás escuchado (mejor dicho, leído) mucho acerca de la nueva versión que acaba de liberar WordPress: WordPress 5.0. Pero, ¿es necesario actualizar hacia esta nueva versión o mejor esperar?

A pesar que muchos desarrolladores no recomendaban lanzar esta versión de manera tan apresurada, sino que pedían esperar hasta enero de 2019, la versión de WordPress 5.0 se lanzó el pasado 6 de Diciembre de 2018 coincidiendo con la celebración de WordCamp US.

Ya te lo habíamos adelantado antes del verano, la versión de WordPress 5.0 incorpora un cambio bastante grande en la forma de publicar en tu web: el nuevo editor visual Gutenberg. A continuación te mostramos los cambios más relevantes de esta última actualización.

¿Qué hay de nuevo en la versión WordPress 5.0?

Tal y como te acabamos de comentar, el principal cambio o novedad que incorpora esta nueva versión es Gutenberg. Un nuevo editor visual que mejora la forma de publicar (el editor actual lleva muchos años sin apenas cambios) y estamos seguros de que será un gran paso adelante para WordPress.

Además de incorporar este nuevo editor, algunas de las novedades que podemos ver en esta versión son:

  • Un nuevo tema o plantilla por defecto: Twenty Nineteen
  • Compatibilidad con PHP 7.3
  • Mejoras en WordPress Rest API
  • Ajustes en seguridad
  • Mejoras de usabilidad y adaptabilidad a móviles

Entonces, ¿actualizo ya a WordPress 5.0 o mejor espero?

Antes de nada es importante que sepas que WordPress 5.0 no es una actualización de seguridad, sino una actualización que incorpora como principal novedad el editor visual del que ya hemos hablado.

Como ya te hemos adelantado en este post, Gutenberg revoluciona la forma de publicar en WordPress y posiblemente suponga un cambio muy positivo para esta aplicación, pero de momento es mejor esperar. Y no solo te lo decimos nosotros. Muchos desarrolladores y profesionales del sector están de acuerdo que es mejor quedarse quieto por si surge cualquier error o incompatibilidad que pueda poner tu WordPress completamente en blanco o cualquier otro error que pueda dejar inaccesible tu web.

Incompatibilidad con algunos plugins

Una de las principales debilidades de esta nueva versión es que Gutenberg todavía no es compatible con muchos plugins. Ya se han hecho pruebas y muchos desarrolladores lo han testeado con los plugins más conocidos de WordPress como Contact Form 7 o Akismet, pero todavía no se puede garantizar que sea compatible con la mayoría de plugins del repositorio y, mucho menos, los desarrollados por terceros.

De hecho, aquí tienes algunos plugins que todavía no son compatibles y que sus propios desarrolladores han advertido que no se actualice hacia WordPress 5.0:

  • WPML
  • ACF
  • Visual Composer o WP Backery Page Builder

Nota: Antes de integrar este nuevo editor en WordPress, se había lanzado un plugin que incorporaba Gutenberg a tu instalación, pero aunque ya hicieses pruebas y los plugins que estás utilizando fuesen compatibles, no quiere decir que lo sean con el editor visual definitivo. Incluso algunos plugins que sí son compatibles, han recomendado no actualizar todavía, como es el caso de Yoast SEO.

Entonces, ¿cuándo debo actualizar?

En el 99,9% de los casos sabrás que mantener tu software actualizado, en especial WordPress, es más que recomendado (casi una obligación), pero en este caso no es así. Es mejor ser prudente y asegurarnos que todo va a funcionar como debe 🙂

Muchos expertos y desarrolladores de la comunidad recomiendan esperar hasta finales de enero (como poco) hasta actualizar tu web a WordPress 5.0. Es una buena forma de que poco a poco se vayan descubriendo y corrigiendo errores o incompatibilidades que puedan poner tu web patas arriba.

Eso sí, si tienes una web de pruebas o quieres colaborar en el desarrollo de Gutenberg te animamos a que realices tests y colabores con la comunidad. Reportar errores o incompatibilidades que vayas viendo en esta nueva versión, es una forma de hacer que WordPress sea un gestor de contenidos cada vez más potente.

Vale, de todas formas yo sí quiero actualizar

Si pese a esto que te hemos comentado en este post quieres pasarte a la última versión de WordPress, te recomendamos que por lo menos tomes precauciones. Es decir, realiza una copia de seguridad de tu web y asegúrate que la copia incluye todo el contenido y es 100% válida. Si surge cualquier problema con un plugin que tienes instalado, puedes volver a tu versión actual en cuestión de minutos.

De todas formas, te resumimos los pasos que debes seguir antes de actualizar a WordPress 5.0:

  1. Lo repetiremos una y mil veces. Antes de realizar cualquier cambio en tu web, siempre realiza una copia de seguridad y asegúrate de que es válida (y mucho más en este caso).
  2. Desactiva las actualizaciones automáticas para evitar que WordPress decida pasarte automáticamente a 5.0. Para ello añade la siguiente línea de código al archivo wp-config-php:
    • define( 'WP_AUTO_UPDATE_CORE', false );
  3. Asegúrate de que tu web está funcionando con PHP 7 y no con versiones anteriores. Se dejará de dar versión a las versiones más antiguas, así que ya que vas a actualizar, asegúrate de mantener tu aplicación segura.
  4. Accede a tu WordPress y pulsa en la actualización que se muestra en el dashboard. Sabemos que da miedo, pero teniendo una copia completa de tu web, ¡estás a salvo!

Alerta del dashboard para actualizar a WordPress 5.0.

Importante: Como no es nada raro que algo salga mal en esta actualización, lo mejor es que no la realices cuando sueles tener picos de visitas. Además, aunque elijas una hora en la que apenas tienes tráfico, no es mala ideal poner tu web en modo mantenimiento y asegurarte de que tus visitas sepan que si tu web no está disponible, lo estará en tan solo unos minutos o un par de horas.

Recapitulando…

La última versión de nuestros CMS preferido, WordPress 5.0, parece que no está pulida del todo y todavía presenta algunos fallos e incompatibilidades con temas y plantillas que pueden dejar a tu web inoperativa.

Como WordPress 5.0 no se trata de una versión de seguridad, sino una versión para lanzar y no retrasar mucho más el lanzamiento de Gutenberg, te recomendamos que esperes antes de realizar cualquier actualización. Como hemos visto, los plugins del repositorio oficial de WordPress ya han sido testeados, pero hay algunos otros que todavía presentan errores e incluso sus propios desarrollados recomiendan no actualizar.

Verónica Casas

Licenciada en Comunicación Audiovisual y amante del mundo de las tecnologías y de todo lo relacionado con páginas web y marketing online. Dedico parte de mi tiempo a escribir en este blog con el objetivo de ayudarte a lanzar tu negocio online. ¡Emprendamos juntos este viaje!

No hay comentarios

Deja un comentario